searchNodes=[{"doc":"Provides the core functions to retrieve and manage the CLDR data that supports formatting and localisation. It provides the core functions to access formatted CLDR data, set and retrieve a current locale and validate certain core data types such as locales, currencies and territories.","ref":"Linguist.Cldr.html","title":"Linguist.Cldr","type":"module"},{"doc":"See Cldr.available_locale_name?/1 .","ref":"Linguist.Cldr.html#available_locale_name?/1","title":"Linguist.Cldr.available_locale_name?/1","type":"function"},{"doc":"Returns the default locale . Example iex&gt; Linguist.Cldr . default_locale ( ) % Cldr.LanguageTag { backend : Linguist.Cldr , canonical_locale_name : &quot;en-001&quot; , cldr_locale_name : :&quot;en-001&quot; , language_subtags : [ ] , extensions : %{ } , gettext_locale_name : &quot;en&quot; , language : &quot;en&quot; , locale : %{ } , private_use : [ ] , rbnf_locale_name : :en , requested_locale_name : &quot;en-001&quot; , script : :Latn , territory : :&quot;001&quot; , transform : %{ } , language_variants : [ ] }","ref":"Linguist.Cldr.html#default_locale/0","title":"Linguist.Cldr.default_locale/0","type":"function"},{"doc":"Returns the default territory when a locale does not specify one and none can be inferred. Example iex&gt; Linguist.Cldr . default_territory ( ) :&quot;001&quot;","ref":"Linguist.Cldr.html#default_territory/0","title":"Linguist.Cldr.default_territory/0","type":"function"},{"doc":"Add locale-specific ellipsis to a string. Arguments string is any String.t or a 2-element list of String.t between which the ellipsis is inserted. backend is any module that includes use Cldr and therefore is a Cldr backend module. The default is Cldr.default_backend!/0 . Note that Cldr.default_backend!/0 will raise an exception if no :default_backend is configured under the :ex_cldr key in config.exs . options is a keyword list of options Options :locale is any valid locale name returned by Cldr.known_locale_names/1 . The default is Cldr.get_locale/0 . :location determines where to place the ellipsis. The options are :after (the default for a single string argument), :between (the default and only valid location for an argument that is a list of two strings) and :before . :format formats based upon whether the ellipsis is inserted between words or sentences. The valid options are :word or :sentence . The default is :sentence . Examples iex&gt; Linguist.Cldr . ellipsis ( &quot;And furthermore&quot; ) &quot;And furthermore…&quot; iex&gt; Linguist.Cldr . ellipsis ( [ &quot;And furthermore&quot; , &quot;there is much to be done&quot; ] , locale : :ja ) &quot;And furthermore…there is much to be done&quot; iex&gt; Linguist.Cldr . ellipsis ( &quot;And furthermore&quot; , format : :word ) &quot;And furthermore …&quot; iex&gt; Linguist.Cldr . ellipsis ( [ &quot;And furthermore&quot; , &quot;there is much to be done&quot; ] , locale : :ja , format : :word ) &quot;And furthermore … there is much to be done&quot;","ref":"Linguist.Cldr.html#ellipsis/2","title":"Linguist.Cldr.ellipsis/2","type":"function"},{"doc":"Return the current locale to be used for Cldr functions that take an optional locale parameter for which a locale is not supplied. Example iex&gt; Linguist.Cldr . put_locale ( &quot;pl&quot; ) iex&gt; Linguist.Cldr . get_locale ( ) % Cldr.LanguageTag { backend : Elixir.Linguist.Cldr , canonical_locale_name : &quot;pl&quot; , cldr_locale_name : :pl , extensions : %{ } , language : &quot;pl&quot; , locale : %{ } , private_use : [ ] , rbnf_locale_name : :pl , territory : :PL , requested_locale_name : &quot;pl&quot; , script : :Latn , transform : %{ } , language_variants : [ ] }","ref":"Linguist.Cldr.html#get_locale/0","title":"Linguist.Cldr.get_locale/0","type":"function"},{"doc":"See Cldr.known_calendars/0 .","ref":"Linguist.Cldr.html#known_calendars/0","title":"Linguist.Cldr.known_calendars/0","type":"function"},{"doc":"See Cldr.known_currencies/0 .","ref":"Linguist.Cldr.html#known_currencies/0","title":"Linguist.Cldr.known_currencies/0","type":"function"},{"doc":"Returns either the Gettext locale_name in Cldr format or false based upon whether the locale name is configured in Gettext . Arguments locale is any valid locale name returned by Linguist.Cldr.known_gettext_locale_names/0 Examples iex&gt; Linguist.Cldr . known_gettext_locale_name ( &quot;en&quot; ) &quot;en&quot; iex&gt; Linguist.Cldr . known_gettext_locale_name ( &quot;en-SA&quot; ) false","ref":"Linguist.Cldr.html#known_gettext_locale_name/1","title":"Linguist.Cldr.known_gettext_locale_name/1","type":"function"},{"doc":"Returns a boolean indicating if the specified locale name is configured and available in Gettext. Arguments locale is any valid locale name returned by Linguist.Cldr.known_locale_names/0 Examples iex&gt; Linguist.Cldr . known_gettext_locale_name? ( &quot;en&quot; ) true iex&gt; Linguist.Cldr . known_gettext_locale_name? ( &quot;!!&quot; ) false","ref":"Linguist.Cldr.html#known_gettext_locale_name?/1","title":"Linguist.Cldr.known_gettext_locale_name?/1","type":"function"},{"doc":"Returns a list of Gettext locale names but in CLDR format with underscore replaced by hyphen in order to facilitate comparisons with Cldr locale names.","ref":"Linguist.Cldr.html#known_gettext_locale_names/0","title":"Linguist.Cldr.known_gettext_locale_names/0","type":"function"},{"doc":"Returns either the locale_name or false based upon whether the locale name is configured in Cldr . This is helpful when building a list of or expressions to return the first known locale name from a list. Arguments locale is any valid locale name returned by Linguist.Cldr.known_locale_names/0 Examples iex&gt; Linguist.Cldr . known_locale_name ( :&quot;en-AU&quot; ) :&quot;en-AU&quot; iex&gt; Linguist.Cldr . known_locale_name ( :&quot;en-SA&quot; ) false","ref":"Linguist.Cldr.html#known_locale_name/1","title":"Linguist.Cldr.known_locale_name/1","type":"function"},{"doc":"Returns a boolean indicating if the specified locale name is configured and available in Cldr. Arguments locale is any valid locale name returned by Linguist.Cldr.known_locale_names/0 Examples iex&gt; Linguist.Cldr . known_locale_name? ( :en ) true iex&gt; Linguist.Cldr . known_locale_name? ( :&quot;!!&quot; ) false","ref":"Linguist.Cldr.html#known_locale_name?/1","title":"Linguist.Cldr.known_locale_name?/1","type":"function"},{"doc":"Returns a list of the known locale names. Known locales are those locales which are the subset of all CLDR locales that have been configured for use either in this module or in Gettext .","ref":"Linguist.Cldr.html#known_locale_names/0","title":"Linguist.Cldr.known_locale_names/0","type":"function"},{"doc":"Returns a list of atoms representing the number systems types known to Cldr . Example iex&gt; Linguist.Cldr . known_number_system_types ( ) [ :default , :finance , :native , :traditional ]","ref":"Linguist.Cldr.html#known_number_system_types/0","title":"Linguist.Cldr.known_number_system_types/0","type":"function"},{"doc":"See Cldr.known_number_systems/0 .","ref":"Linguist.Cldr.html#known_number_systems/0","title":"Linguist.Cldr.known_number_systems/0","type":"function"},{"doc":"Returns either the RBNF locale_name or false based upon whether the locale name is configured in Cldr and has RBNF rules defined. Arguments locale is any valid locale name returned by Linguist.Cldr.known_locale_names/0 Examples iex&gt; Linguist.Cldr . known_rbnf_locale_name ( :en ) :en iex&gt; Linguist.Cldr . known_rbnf_locale_name ( :&quot;en-SA&quot; ) false","ref":"Linguist.Cldr.html#known_rbnf_locale_name/1","title":"Linguist.Cldr.known_rbnf_locale_name/1","type":"function"},{"doc":"Returns a boolean indicating if the specified locale name is configured and available in Cldr and supports rules based number formats (RBNF). Arguments locale is any valid locale name returned by Linguist.Cldr.known_locale_names/0 Examples iex&gt; Linguist.Cldr . known_rbnf_locale_name? ( :en ) true iex&gt; Linguist.Cldr . known_rbnf_locale_name? ( :&quot;!!&quot; ) false","ref":"Linguist.Cldr.html#known_rbnf_locale_name?/1","title":"Linguist.Cldr.known_rbnf_locale_name?/1","type":"function"},{"doc":"Returns a list of locale names which have rules-based number formats (RBNF).","ref":"Linguist.Cldr.html#known_rbnf_locale_names/0","title":"Linguist.Cldr.known_rbnf_locale_names/0","type":"function"},{"doc":"See Cldr.known_territories/0 .","ref":"Linguist.Cldr.html#known_territories/0","title":"Linguist.Cldr.known_territories/0","type":"function"},{"doc":"Normalizes a string by applying transliteration of common symbols in numbers, currencies and dates","ref":"Linguist.Cldr.html#normalize_lenient_parse/3","title":"Linguist.Cldr.normalize_lenient_parse/3","type":"function"},{"doc":"Set the current locale to be used for Cldr functions that take an optional locale parameter for which a locale is not supplied. Arguments locale is any valid locale name returned by Linguist.Cldr.known_locale_names/0 or a t:Cldr.LanguageTag struct returned by Linguist.Cldr.Locale.new!/1 See rfc5646 for the specification of a language tag. Examples iex&gt; Linguist.Cldr . put_locale ( &quot;en&quot; ) { :ok , % Cldr.LanguageTag { backend : Linguist.Cldr , canonical_locale_name : &quot;en&quot; , cldr_locale_name : :en , language_subtags : [ ] , extensions : %{ } , gettext_locale_name : &quot;en&quot; , language : &quot;en&quot; , locale : %{ } , private_use : [ ] , rbnf_locale_name : :en , requested_locale_name : &quot;en&quot; , script : :Latn , territory : :US , transform : %{ } , language_variants : [ ] } } iex&gt; Linguist.Cldr . put_locale ( &quot;invalid-locale!&quot; ) { :error , { Cldr.LanguageTag.ParseError , &quot;Expected a BCP47 language tag. Could not parse the remaining \\&quot; ! \\&quot; starting at position 15&quot; } }","ref":"Linguist.Cldr.html#put_locale/1","title":"Linguist.Cldr.put_locale/1","type":"function"},{"doc":"Add locale-specific quotation marks around a string. Arguments string is any valid Elixir string options is a keyword list of options Options locale is any valid locale name returned by Cldr.known_locale_names/1 . The default is Cldr.get_locale/0 Examples iex&gt; Linguist.Cldr . quote ( &quot;Quoted String&quot; ) &quot;“Quoted String”&quot; iex&gt; Linguist.Cldr . quote ( &quot;Quoted String&quot; , locale : :ja ) &quot;「Quoted String」&quot;","ref":"Linguist.Cldr.html#quote/2","title":"Linguist.Cldr.quote/2","type":"function"},{"doc":"Returns a list of the locales names that are configured, but not known in CLDR. Since there is a compile-time exception raised if there are any unknown locales this function should always return an empty list.","ref":"Linguist.Cldr.html#unknown_locale_names/0","title":"Linguist.Cldr.unknown_locale_names/0","type":"function"},{"doc":"See Cldr.validate_calendar/1 .","ref":"Linguist.Cldr.html#validate_calendar/1","title":"Linguist.Cldr.validate_calendar/1","type":"function"},{"doc":"See Cldr.validate_currency/1 .","ref":"Linguist.Cldr.html#validate_currency/1","title":"Linguist.Cldr.validate_currency/1","type":"function"},{"doc":"Normalise and validate a locale name. Arguments locale is any valid locale name returned by Linguist.Cldr.known_locale_names/0 or a Cldr.LanguageTag struct returned by Linguist.Cldr.Locale.new!/1 Returns {:ok, language_tag} {:error, reason} Notes See rfc5646 for the specification of a language tag. Examples iex&gt; Linguist.Cldr . validate_locale ( :en ) { :ok , % Cldr.LanguageTag { backend : Linguist.Cldr , canonical_locale_name : &quot;en&quot; , cldr_locale_name : :en , extensions : %{ } , gettext_locale_name : &quot;en&quot; , language : &quot;en&quot; , locale : %{ } , private_use : [ ] , rbnf_locale_name : :en , requested_locale_name : &quot;en&quot; , script : :Latn , territory : :US , transform : %{ } , language_variants : [ ] } } iex&gt; Linguist.Cldr . validate_locale Linguist.Cldr . default_locale ( ) { :ok , % Cldr.LanguageTag { backend : Linguist.Cldr , canonical_locale_name : &quot;en-001&quot; , cldr_locale_name : :&quot;en-001&quot; , extensions : %{ } , gettext_locale_name : &quot;en&quot; , language : &quot;en&quot; , locale : %{ } , private_use : [ ] , rbnf_locale_name : :en , requested_locale_name : &quot;en-001&quot; , script : :Latn , territory : :&quot;001&quot; , transform : %{ } , language_variants : [ ] } } iex&gt; Linguist.Cldr . validate_locale ( &quot;zzz&quot; ) { :error , { Cldr.InvalidLanguageError , &quot;The language \\&quot; zzz \\&quot; is invalid&quot; } }","ref":"Linguist.Cldr.html#validate_locale/1","title":"Linguist.Cldr.validate_locale/1","type":"function"},{"doc":"See Cldr.validate_number_system/1 .","ref":"Linguist.Cldr.html#validate_number_system/1","title":"Linguist.Cldr.validate_number_system/1","type":"function"},{"doc":"Normalise and validate a number system type. Arguments number_system_type is any number system type returned by Cldr.known_number_system_types/1 Returns {:ok, normalized_number_system_type} or {:error, {exception, message}} Examples iex&gt; Linguist.Cldr . validate_number_system_type ( :default ) { :ok , :default } iex&gt; Linguist.Cldr . validate_number_system_type ( :traditional ) { :ok , :traditional } iex&gt; Linguist.Cldr . validate_number_system_type ( :latn ) { :error , { Cldr.UnknownNumberSystemTypeError , &quot;The number system type :latn is unknown&quot; } } iex&gt; Linguist.Cldr . validate_number_system_type ( &quot;bork&quot; ) { :error , { Cldr.UnknownNumberSystemTypeError , &quot;The number system type \\&quot; bork \\&quot; is invalid&quot; } }","ref":"Linguist.Cldr.html#validate_number_system_type/1","title":"Linguist.Cldr.validate_number_system_type/1","type":"function"},{"doc":"See Cldr.validate_territory/1 .","ref":"Linguist.Cldr.html#validate_territory/1","title":"Linguist.Cldr.validate_territory/1","type":"function"},{"doc":"Execute a function with a locale ensuring that the current locale is restored after the function. Arguments locale is any valid locale name returned by Cldr.known_locale_names/1 . fun is any 0-arity function or function capture. Returns The value returned by the function fun/0 or {:error, {exception, reason}} if the locale is invalid or raises an exception if the current locale cannot be identified.","ref":"Linguist.Cldr.html#with_locale/2","title":"Linguist.Cldr.with_locale/2","type":"function"},{"doc":"Parses HTTP Accept-Language header values as defined in rfc2616 . The Accept-Language request-header field is similar to Accept, but restricts the set of natural languages that are preferred as a response to the request. Language tags function are provided in Cldr.LanguageTag . The format of an Accept-Language header is as follows in ABNF format: Accept - Language = &quot;Accept-Language&quot; &quot;:&quot; 1 #( language-range [ &quot;;&quot; &quot;q&quot; &quot;=&quot; qvalue ] ) language - range = ( ( 1 * 8 ALPHA * ( &quot;-&quot; 1 * 8 ALPHA ) ) | &quot;*&quot; ) Each language-range MAY be given an associated quality value which represents an estimate of the user's preference for the languages specified by that range. The quality value defaults to &quot;q=1&quot;. For example, Accept - Language : da , en - gb ; q = 0.8 , en ; q = 0.7 would mean: &quot;I prefer Danish, but will accept British English and other types of English.&quot;","ref":"Linguist.Cldr.AcceptLanguage.html","title":"Linguist.Cldr.AcceptLanguage","type":"module"},{"doc":"Parse an Accept-Language string and return the best match for a configured Cldr locale. Arguments accept_langauge is a string representing an accept language header Returns {:ok, language_tag} or {:error, reason} Examples iex&gt; Linguist.Cldr.AcceptLanguage . best_match ( &quot;da;q=0.1,zh-TW;q=0.3&quot; , TestBackend.Cldr ) { :ok , % Cldr.LanguageTag { backend : TestBackend.Cldr , canonical_locale_name : &quot;zh-TW&quot; , cldr_locale_name : :&quot;zh-Hant&quot; , language_subtags : [ ] , extensions : %{ } , gettext_locale_name : nil , language : &quot;zh&quot; , locale : %{ } , private_use : [ ] , rbnf_locale_name : :&quot;zh-Hant&quot; , requested_locale_name : &quot;zh-TW&quot; , script : :Hant , territory : :TW , transform : %{ } , language_variants : [ ] } } iex&gt; Linguist.Cldr.AcceptLanguage . best_match ( &quot;da;q=0.1,zh-TW;q=0.3&quot; , TestBackend.Cldr ) { :ok , % Cldr.LanguageTag { backend : TestBackend.Cldr , canonical_locale_name : &quot;zh-TW&quot; , cldr_locale_name : :&quot;zh-Hant&quot; , language_subtags : [ ] , extensions : %{ } , gettext_locale_name : nil , language : &quot;zh&quot; , locale : %{ } , private_use : [ ] , rbnf_locale_name : :&quot;zh-Hant&quot; , requested_locale_name : &quot;zh-TW&quot; , script : :Hant , territory : :TW , transform : %{ } , language_variants : [ ] } } iex&gt; Linguist.Cldr.AcceptLanguage . best_match ( &quot;xx,yy;q=0.3&quot; ) { :error , { Cldr.NoMatchingLocale , &quot;No configured locale could be matched to \\&quot; xx,yy;q=0.3 \\&quot; &quot; } } iex&gt; Linguist.Cldr.AcceptLanguage . best_match ( &quot;invalid_tag&quot; ) { :error , { Cldr.LanguageTag.ParseError , &quot;Expected a BCP47 language tag. Could not parse the remaining \\&quot; g \\&quot; starting at position 11&quot; } }","ref":"Linguist.Cldr.AcceptLanguage.html#best_match/1","title":"Linguist.Cldr.AcceptLanguage.best_match/1","type":"function"},{"doc":"Parses an Accept-Language header value in its string or tokenized form to return a tuple of the form {:ok, [{quality, %Cldr.LanguageTag{}}, ...]} sorted by quality. Arguments accept-language is any string in the format defined by rfc2616 backend is any module that includes use Cldr and therefore is a Cldr backend module Returns {:ok, [{quality, language_tag}, ...]} or {:error, {Cldr.AcceptLanguageError, String.t}} If at least one valid language tag is found but errors are also detected on one more more tags, an {ok, list} tuple is returned wuth an error tuple for each invalid tag added at the end of the list. Example iex&gt; Cldr.AcceptLanguage . parse ( &quot;da,zh-TW;q=0.3&quot; , TestBackend.Cldr ) { :ok , [ { 1.0 , % Cldr.LanguageTag { backend : TestBackend.Cldr , canonical_locale_name : &quot;da&quot; , cldr_locale_name : :da , language_subtags : [ ] , extensions : %{ } , gettext_locale_name : nil , language : &quot;da&quot; , locale : %{ } , private_use : [ ] , rbnf_locale_name : :da , requested_locale_name : &quot;da&quot; , script : :Latn , territory : :DK , transform : %{ } , language_variants : [ ] } } , { 0.3 , % Cldr.LanguageTag { backend : TestBackend.Cldr , canonical_locale_name : &quot;zh-TW&quot; , cldr_locale_name : :&quot;zh-Hant&quot; , language_subtags : [ ] , extensions : %{ } , gettext_locale_name : nil , language : &quot;zh&quot; , locale : %{ } , private_use : [ ] , rbnf_locale_name : :&quot;zh-Hant&quot; , requested_locale_name : &quot;zh-TW&quot; , script : :Hant , territory : :TW , transform : %{ } , language_variants : [ ] } } ] } iex&gt; Linguist.Cldr.AcceptLanguage . parse ( &quot;invalid_tag&quot; ) { :error , { Cldr.LanguageTag.ParseError , &quot;Expected a BCP47 language tag. Could not parse the remaining \\&quot; g \\&quot; starting at position 11&quot; } } iex&gt; Linguist.Cldr.AcceptLanguage . parse ( &quot;da,zh-TW;q=0.3,invalid_tag&quot; ) { :ok , [ { 1.0 , % Cldr.LanguageTag { backend : TestBackend.Cldr , canonical_locale_name : &quot;da&quot; , cldr_locale_name : :da , language_subtags : [ ] , extensions : %{ } , gettext_locale_name : nil , language : &quot;da&quot; , locale : %{ } , private_use : [ ] , rbnf_locale_name : :da , requested_locale_name : &quot;da&quot; , script : :Latn , territory : :DK , transform : %{ } , language_variants : [ ] } } , { 0.3 , % Cldr.LanguageTag { backend : TestBackend.Cldr , canonical_locale_name : &quot;zh-TW&quot; , cldr_locale_name : :&quot;zh-Hant&quot; , language_subtags : [ ] , extensions : %{ } , gettext_locale_name : nil , language : &quot;zh&quot; , locale : %{ } , private_use : [ ] , rbnf_locale_name : :&quot;zh-Hant&quot; , requested_locale_name : &quot;zh-TW&quot; , script : :Hant , territory : :TW , transform : %{ } , language_variants : [ ] } } , { :error , { Cldr.LanguageTag.ParseError , &quot;Expected a BCP47 language tag. Could not parse the remaining \\&quot; g \\&quot; starting at position 11&quot; } } ] }","ref":"Linguist.Cldr.AcceptLanguage.html#parse/1","title":"Linguist.Cldr.AcceptLanguage.parse/1","type":"function"},{"doc":"Parses an Accept-Language header value in its string or tokenized form to produce a list of tuples of the form [{quality, %Cldr.LanguageTag{}}, ...] sorted by quality in descending order. Arguments accept-language is any string in the format defined by rfc2616 Returns {:ok, [{quality, language_tag}, ...]} or raises a Cldr.AcceptLanguageError exception If at least one valid language tag is found but errors are also detected on one more more tags, an {ok, list} tuple is returned wuth an error tuple for each invalid tag added at the end of the list. Example iex&gt; Linguist.Cldr.AcceptLanguage . parse! ( &quot;da,zh-TW;q=0.3&quot; ) [ { 1.0 , % Cldr.LanguageTag { backend : TestBackend.Cldr , canonical_locale_name : &quot;da&quot; , cldr_locale_name : :da , language_subtags : [ ] , extensions : %{ } , gettext_locale_name : nil , language : &quot;da&quot; , locale : %{ } , private_use : [ ] , rbnf_locale_name : :da , requested_locale_name : &quot;da&quot; , script : :Latn , territory : :DK , transform : %{ } , language_variants : [ ] } } , { 0.3 , % Cldr.LanguageTag { backend : TestBackend.Cldr , canonical_locale_name : &quot;zh-TW&quot; , cldr_locale_name : :&quot;zh-Hant&quot; , language_subtags : [ ] , extensions : %{ } , gettext_locale_name : nil , language : &quot;zh&quot; , locale : %{ } , private_use : [ ] , rbnf_locale_name : :&quot;zh-Hant&quot; , requested_locale_name : &quot;zh-TW&quot; , script : :Hant , territory : :TW , transform : %{ } , language_variants : [ ] } } ] Linguist.Cldr.AcceptLanguage . parse! &quot;invalid_tag&quot; ** (Cldr.AcceptLanguageError) &quot;Expected a BCP47 language tag. Could not parse the remaining &quot;g&quot; starting at position 11 (ex_cldr) lib/cldr/accept_language.ex:304: Cldr.AcceptLanguage.parse!/1 iex&gt; Linguist.Cldr.AcceptLanguage . parse! ( &quot;da,zh-TW;q=0.3,invalid_tag&quot; ) [ { 1.0 , % Cldr.LanguageTag { backend : TestBackend.Cldr , canonical_locale_name : &quot;da&quot; , cldr_locale_name : :da , language_subtags : [ ] , extensions : %{ } , gettext_locale_name : nil , language : &quot;da&quot; , locale : %{ } , private_use : [ ] , rbnf_locale_name : :da , requested_locale_name : &quot;da&quot; , script : :Latn , territory : :DK , transform : %{ } , language_variants : [ ] } } , { 0.3 , % Cldr.LanguageTag { backend : TestBackend.Cldr , canonical_locale_name : &quot;zh-TW&quot; , cldr_locale_name : :&quot;zh-Hant&quot; , language_subtags : [ ] , extensions : %{ } , gettext_locale_name : nil , language : &quot;zh&quot; , locale : %{ } , private_use : [ ] , rbnf_locale_name : :&quot;zh-Hant&quot; , requested_locale_name : &quot;zh-TW&quot; , script : :Hant , territory : :TW , transform : %{ } , language_variants : [ ] } } , { :error , { Cldr.LanguageTag.ParseError , &quot;Expected a BCP47 language tag. Could not parse the remaining \\&quot; g \\&quot; starting at position 11&quot; } } ]","ref":"Linguist.Cldr.AcceptLanguage.html#parse!/1","title":"Linguist.Cldr.AcceptLanguage.parse!/1","type":"function"},{"doc":"Backend module that provides functions to define new locales and display human-readable locale names for presentation purposes.","ref":"Linguist.Cldr.Locale.html","title":"Linguist.Cldr.Locale","type":"module"},{"doc":"Returns the list of fallback locale names, starting with the provided locale name. Fallbacks are a list of locate names which can be used to resolve translation or other localization data if such localised data does not exist for this specific locale.. Arguments locale_name is any locale name returned by Linguist.Cldr.known_locale_names/0 Returns {:ok, list_of_locale_names} or {:error, {exception, reason}} Examples iex&gt; Linguist.Cldr.Locale . fallback_locale_names ( :&quot;fr-CA&quot; ) { :ok , [ :&quot;fr-CA&quot; , :fr , :und ] } # Fallbacks are typically formed by progressively # stripping variant, territory and script from the # given locale name. But not always - there are # certain fallbacks that take a different path. iex&gt; Linguist.Cldr.Locale . fallback_locale_names ( :nb ) { :ok , [ :nb , :no , :und ] }","ref":"Linguist.Cldr.Locale.html#fallback_locale_names/1","title":"Linguist.Cldr.Locale.fallback_locale_names/1","type":"function"},{"doc":"Returns the list of fallback locales, starting with the provided locale name. Fallbacks are a list of locate names which can be used to resolve translation or other localization data if such localised data does not exist for this specific locale. Arguments locale_name is any locale name returned by Linguist.Cldr.known_locale_names/0 Returns {:ok, list_of_locales} or {:error, {exception, reason}} Examples Linguist.Cldr.Locale . fallback_locales ( :&quot;fr-CA&quot; ) = &gt; { :ok , [ # Cldr.LanguageTag &lt; fr - CA [ validated ] &gt; , # Cldr.LanguageTag &lt; fr [ validated ] &gt; , # Cldr.LanguageTag &lt; und [ validated ] &gt; ] } # Fallbacks are typically formed by progressively # stripping variant, territory and script from the # given locale name. But not always - there are # certain fallbacks that take a different path. Linguist.Cldr.Locale . fallback_locales ( :nb ) ) = &gt; { :ok , [ # Cldr.LanguageTag &lt; nb [ validated ] &gt; , # Cldr.LanguageTag &lt; no [ validated ] &gt; , # Cldr.LanguageTag &lt; und [ validated ] &gt; ] }","ref":"Linguist.Cldr.Locale.html#fallback_locales/1","title":"Linguist.Cldr.Locale.fallback_locales/1","type":"function"},{"doc":"Returns the &quot;best fit&quot; locale for a given territory. Using the population percentage data from CLDR, the language most commonly spoken in the given territory is used to form a locale name which is then validated against the given backend. First a territory-specific locale is validated and if that fails, the base language only is validate. For example, if the territory is AU then then the language most spoken is &quot;en&quot;. First, the locale &quot;en-AU&quot; is validated and if that fails, &quot;en&quot; is validated. Arguments territory is any ISO 3166 Alpha-2 territory code that can be validated by Cldr.validate_territory/1 Returns {:ok, language_tag} or {:error, {exception, reason}} Examples iex&gt; Linguist.Cldr.Locale.locale_for_territory(:AU) Elixir.Linguist.Cldr.validate_locale(:&quot;en-AU&quot;) iex&gt; Linguist.Cldr.Locale.locale_for_territory(:US) Elixir.Linguist.Cldr.validate_locale(:&quot;en-US&quot;) iex&gt; Linguist.Cldr.Locale.locale_for_territory(:ZZ) {:error, {Cldr.UnknownTerritoryError, &quot;The territory :ZZ is unknown&quot;}}","ref":"Linguist.Cldr.Locale.html#locale_for_territory/1","title":"Linguist.Cldr.Locale.locale_for_territory/1","type":"function"},{"doc":"Returns a &quot;best fit&quot; locale for a host name. Arguments host is any valid host name options is a keyword list of options. The default is [] . Options :tlds is a list of territory codes as upper-cased atoms that are to be considered as top-level domains. See Cldr.Locale.locale_from_host/2 for the default list. Returns {:ok, langauge_tag} or {:error, {exception, reason}} Notes Certain top-level domains have become associated with content underlated to the territory for who the domain is registered. Therefore Google (and perhaps others) do not associate these TLDs as belonging to the territory but rather are considered generic top-level domain names. Examples iex&gt; Linguist.Cldr.Locale . locale_from_host &quot;a.b.com.au&quot; Elixir.Linguist.Cldr . validate_locale ( :&quot;en-AU&quot; ) iex&gt; Linguist.Cldr.Locale . locale_from_host ( &quot;a.b.com.tv&quot; ) { :error , { Cldr.UnknownLocaleError , &quot;No locale was identified for territory \\&quot; tv \\&quot; &quot; } } iex&gt; Linguist.Cldr.Locale . locale_from_host ( &quot;a.b.com&quot; ) { :error , { Cldr.UnknownLocaleError , &quot;No locale was identified for territory \\&quot; com \\&quot; &quot; } }","ref":"Linguist.Cldr.Locale.html#locale_from_host/2","title":"Linguist.Cldr.Locale.locale_from_host/2","type":"function"},{"doc":"","ref":"Linguist.Cldr.Locale.html#new/1","title":"Linguist.Cldr.Locale.new/1","type":"function"},{"doc":"","ref":"Linguist.Cldr.Locale.html#new!/1","title":"Linguist.Cldr.Locale.new!/1","type":"function"},{"doc":"Returns the script direction for a locale. Arguments language_tag is any language tag returned by Cldr.Locale.new/2 or any locale_name returned by Cldr.known_locale_names/1 . Returns The script direction which is either :ltr (for left-to-right scripts) or :rtl (for right-to-left scripts). Examples iex&gt; Linguist.Cldr.Locale . script_direction_from_locale &quot;en-US&quot; :ltr iex&gt; Linguist.Cldr.Locale . script_direction_from_locale :ar :rtl","ref":"Linguist.Cldr.Locale.html#script_direction_from_locale/1","title":"Linguist.Cldr.Locale.script_direction_from_locale/1","type":"function"},{"doc":"Returns the last segment of a host that might be a territory. Arguments host is any valid host name Returns {:ok, territory} or {:error, {exception, reason}} Examples iex&gt; Cldr.Locale . territory_from_host ( &quot;a.b.com.au&quot; ) { :ok , :AU } iex&gt; Cldr.Locale . territory_from_host ( &quot;a.b.com&quot; ) { :error , { Cldr.UnknownLocaleError , &quot;No locale was identified for territory \\&quot; com \\&quot; &quot; } }","ref":"Linguist.Cldr.Locale.html#territory_from_host/1","title":"Linguist.Cldr.Locale.territory_from_host/1","type":"function"},{"doc":"Returns the territory from a language tag or locale name. Arguments locale is any language tag returned by Linguist.Cldr.Locale.new/1 or a locale name in the list returned by Linguist.Cldr.known_locale_names/0 Returns A territory code as an atom Examples iex&gt; Linguist.Cldr.Locale . territory_from_locale &quot;en-US&quot; :US iex&gt; Linguist.Cldr.Locale . territory_from_locale &quot;en-US-u-rg-GBzzzz&quot; :GB","ref":"Linguist.Cldr.Locale.html#territory_from_locale/1","title":"Linguist.Cldr.Locale.territory_from_locale/1","type":"function"},{"doc":"Returns the time zone from a language tag or locale name. Arguments locale is any language tag returned by Linguist.Cldr.Locale.new/1 or a locale name in the list returned by Linguist.Cldr.known_locale_names/0 Returns A time zone ID as a string or :error if no time zone can be determined Examples iex&gt; Linguist.Cldr.Locale . timezone_from_locale &quot;en-US-u-tz-ausyd&quot; &quot;Australia/Sydney&quot;","ref":"Linguist.Cldr.Locale.html#timezone_from_locale/1","title":"Linguist.Cldr.Locale.timezone_from_locale/1","type":"function"},{"doc":"Implements cardinal plural rules for numbers.","ref":"Linguist.Cldr.Number.Cardinal.html","title":"Linguist.Cldr.Number.Cardinal","type":"module"},{"doc":"The locale names for which plural rules are defined.","ref":"Linguist.Cldr.Number.Cardinal.html#available_locale_names/0","title":"Linguist.Cldr.Number.Cardinal.available_locale_names/0","type":"function"},{"doc":"The configured locales for which plural rules are defined. Returns the intersection of Linguist.Cldr.known_locale_names/0 and the locales for which Cardinal plural rules are defined. There are many Cldr locales which don't have their own plural rules so this list is the intersection of Cldr 's configured locales and those that have rules.","ref":"Linguist.Cldr.Number.Cardinal.html#known_locale_names/0","title":"Linguist.Cldr.Number.Cardinal.known_locale_names/0","type":"function"},{"doc":"Return the plural key for a given number in a given locale Returns which plural key ( :zero , :one , :two , :few , :many or :other ) a given number fits into within the context of a given locale. Note that these key names should not be interpreted literally. For example, the key returned from Cldr.Number.Ordinal.plural_rule(0, &quot;en&quot;) is actually :other , not :zero . This key can then be used to format a number, date, time, unit, list or other content in a plural-sensitive way. Arguments number is any integer , float or Decimal locale is any locale returned by Cldr.Locale.new!/2 or any locale_name returned by Linguist.Cldr.known_locale_names/0 rounding is one of [:down, :up, :ceiling, :floor, :half_even, :half_up, :half_down] . The default is :half_even . Examples iex&gt; Linguist.Cldr.Number.Cardinal . plural_rule 0 , &quot;fr&quot; :one iex&gt; Linguist.Cldr.Number.Cardinal . plural_rule 0 , &quot;en&quot; :other","ref":"Linguist.Cldr.Number.Cardinal.html#plural_rule/3","title":"Linguist.Cldr.Number.Cardinal.plural_rule/3","type":"function"},{"doc":"Returns all the plural rules defined in CLDR.","ref":"Linguist.Cldr.Number.Cardinal.html#plural_rules/0","title":"Linguist.Cldr.Number.Cardinal.plural_rules/0","type":"function"},{"doc":"Return the plural rules for a locale. Arguments locale is any locale returned by Linguist.Cldr.Locale.new!/1 or any locale_name returned by Linguist.Cldr.known_locale_names/0 The rules are returned in AST form after parsing.","ref":"Linguist.Cldr.Number.Cardinal.html#plural_rules_for/1","title":"Linguist.Cldr.Number.Cardinal.plural_rules_for/1","type":"function"},{"doc":"Pluralize a number using cardinal plural rules and a substitution map. Arguments number is an integer, float or Decimal locale is any locale returned by Linguist.Cldr.Locale.new!/1 or any locale_name returned by Linguist.Cldr.known_locale_names/0 substitutions is a map that maps plural keys to a string. The valid substitution keys are :zero , :one , :two , :few , :many and :other . See also Linguist.Cldr.Number.Cardinal.Cardinal.plural_rule/3 . Examples iex&gt; Linguist.Cldr.Number.Cardinal . pluralize 1 , &quot;en&quot; , %{ one : &quot;one&quot; } &quot;one&quot; iex&gt; Linguist.Cldr.Number.Cardinal . pluralize 2 , &quot;en&quot; , %{ one : &quot;one&quot; } nil iex&gt; Linguist.Cldr.Number.Cardinal . pluralize 2 , &quot;en&quot; , %{ one : &quot;one&quot; , two : &quot;two&quot; , other : &quot;other&quot; } &quot;other&quot; iex&gt; Linguist.Cldr.Number.Cardinal . pluralize 22 , &quot;en&quot; , %{ one : &quot;one&quot; , two : &quot;two&quot; , other : &quot;other&quot; } &quot;other&quot; iex&gt; Linguist.Cldr.Number.Cardinal . pluralize Decimal . new ( 1 ) , &quot;en&quot; , %{ one : &quot;one&quot; } &quot;one&quot; iex&gt; Linguist.Cldr.Number.Cardinal . pluralize Decimal . new ( 2 ) , &quot;en&quot; , %{ one : &quot;one&quot; } nil iex&gt; Linguist.Cldr.Number.Cardinal . pluralize Decimal . new ( 2 ) , &quot;en&quot; , %{ one : &quot;one&quot; , two : &quot;two&quot; } nil iex&gt; Linguist.Cldr.Number.Cardinal . pluralize 1 . . 10 , &quot;ar&quot; , %{ one : &quot;one&quot; , few : &quot;few&quot; , other : &quot;other&quot; } &quot;few&quot; iex&gt; Linguist.Cldr.Number.Cardinal . pluralize 1 . . 10 , &quot;en&quot; , %{ one : &quot;one&quot; , few : &quot;few&quot; , other : &quot;other&quot; } &quot;other&quot;","ref":"Linguist.Cldr.Number.Cardinal.html#pluralize/3","title":"Linguist.Cldr.Number.Cardinal.pluralize/3","type":"function"},{"doc":"Implements ordinal plural rules for numbers.","ref":"Linguist.Cldr.Number.Ordinal.html","title":"Linguist.Cldr.Number.Ordinal","type":"module"},{"doc":"The locale names for which plural rules are defined.","ref":"Linguist.Cldr.Number.Ordinal.html#available_locale_names/0","title":"Linguist.Cldr.Number.Ordinal.available_locale_names/0","type":"function"},{"doc":"The configured locales for which plural rules are defined. Returns the intersection of Linguist.Cldr.known_locale_names/0 and the locales for which Ordinal plural rules are defined. There are many Cldr locales which don't have their own plural rules so this list is the intersection of Cldr 's configured locales and those that have rules.","ref":"Linguist.Cldr.Number.Ordinal.html#known_locale_names/0","title":"Linguist.Cldr.Number.Ordinal.known_locale_names/0","type":"function"},{"doc":"Return the plural key for a given number in a given locale Returns which plural key ( :zero , :one , :two , :few , :many or :other ) a given number fits into within the context of a given locale. Note that these key names should not be interpreted literally. For example, the key returned from Cldr.Number.Ordinal.plural_rule(0, &quot;en&quot;) is actually :other , not :zero . This key can then be used to format a number, date, time, unit, list or other content in a plural-sensitive way. Arguments number is any integer , float or Decimal locale is any locale returned by Cldr.Locale.new!/2 or any locale_name returned by Linguist.Cldr.known_locale_names/0 rounding is one of [:down, :up, :ceiling, :floor, :half_even, :half_up, :half_down] . The default is :half_even . Examples iex&gt; Linguist.Cldr.Number.Ordinal . plural_rule 0 , &quot;fr&quot; :other iex&gt; Linguist.Cldr.Number.Ordinal . plural_rule 1 , &quot;en&quot; :one","ref":"Linguist.Cldr.Number.Ordinal.html#plural_rule/3","title":"Linguist.Cldr.Number.Ordinal.plural_rule/3","type":"function"},{"doc":"Returns all the plural rules defined in CLDR.","ref":"Linguist.Cldr.Number.Ordinal.html#plural_rules/0","title":"Linguist.Cldr.Number.Ordinal.plural_rules/0","type":"function"},{"doc":"Return the plural rules for a locale. Arguments locale is any locale returned by Linguist.Cldr.Locale.new!/1 or any locale_name returned by Linguist.Cldr.known_locale_names/0 The rules are returned in AST form after parsing.","ref":"Linguist.Cldr.Number.Ordinal.html#plural_rules_for/1","title":"Linguist.Cldr.Number.Ordinal.plural_rules_for/1","type":"function"},{"doc":"Pluralize a number using ordinal plural rules and a substitution map. Arguments number is an integer, float or Decimal or a Range.t{} . When a range, The is that in any usage, the start value is strictly less than the end value, and that no values are negative. Results for any cases that do not meet these criteria are undefined. locale is any locale returned by Linguist.Cldr.Locale.new!/1 or any locale_name returned by Linguist.Cldr.known_locale_names/0 substitutions is a map that maps plural keys to a string. The valid substitution keys are :zero , :one , :two , :few , :many and :other . See also Linguist.Cldr.Number.Ordinal.Ordinal.plural_rule/3 . Examples iex&gt; Linguist.Cldr.Number.Ordinal . pluralize 1 , :en , %{ one : &quot;one&quot; } &quot;one&quot; iex&gt; Linguist.Cldr.Number.Ordinal . pluralize 2 , :en , %{ one : &quot;one&quot; } nil iex&gt; Linguist.Cldr.Number.Ordinal . pluralize 2 , :en , %{ one : &quot;one&quot; , two : &quot;two&quot; } &quot;two&quot; iex&gt; Linguist.Cldr.Number.Ordinal . pluralize 22 , :en , %{ one : &quot;one&quot; , two : &quot;two&quot; , other : &quot;other&quot; } &quot;two&quot; iex&gt; Linguist.Cldr.Number.Ordinal . pluralize Decimal . new ( 1 ) , :en , %{ one : &quot;one&quot; } &quot;one&quot; iex&gt; Linguist.Cldr.Number.Ordinal . pluralize Decimal . new ( 2 ) , :en , %{ one : &quot;one&quot; } nil iex&gt; Linguist.Cldr.Number.Ordinal . pluralize Decimal . new ( 2 ) , :en , %{ one : &quot;one&quot; , two : &quot;two&quot; } &quot;two&quot; iex&gt; Linguist.Cldr.Number.Ordinal . pluralize 1 . . 10 , &quot;ar&quot; , %{ one : &quot;one&quot; , few : &quot;few&quot; , other : &quot;other&quot; } &quot;other&quot; iex&gt; Linguist.Cldr.Number.Ordinal . pluralize 1 . . 10 , &quot;en&quot; , %{ one : &quot;one&quot; , few : &quot;few&quot; , other : &quot;other&quot; } &quot;other&quot;","ref":"Linguist.Cldr.Number.Ordinal.html#pluralize/3","title":"Linguist.Cldr.Number.Ordinal.pluralize/3","type":"function"},{"doc":"Implements plural rules for ranges","ref":"Linguist.Cldr.Number.PluralRule.Range.html","title":"Linguist.Cldr.Number.PluralRule.Range","type":"module"},{"doc":"Returns a final plural type for a start-of-range plural type, an end-of-range plural type and a locale. Arguments first is a plural type for the start of a range last is a plural type for the end of a range locale is any Cldr.LanguageTag.t or a language name (not locale name) Example iex&gt; Linguist.Cldr.Number.PluralRule.Range . plural_rule :other , :few , &quot;ar&quot; :few","ref":"Linguist.Cldr.Number.PluralRule.Range.html#plural_rule/3","title":"Linguist.Cldr.Number.PluralRule.Range.plural_rule/3","type":"function"},{"doc":"Translation Compiler Module.","ref":"Linguist.Compiler.html","title":"Linguist.Compiler","type":"module"},{"doc":"","ref":"Linguist.Compiler.html#compile/1","title":"Linguist.Compiler.compile/1","type":"function"},{"doc":"Compiles keyword list of transactions into function definitions AST. Examples iex&gt; Linguist.Compiler . compile ( en : [ hello : &quot;Hello %{name}&quot; , alert : &quot;Alert!&quot; ] ) quote do def t ( locale , path , binding \\\\ [ ] ) def t ( &quot;en&quot; , &quot;hello&quot; , bindings ) , do : &quot;Hello &quot; &lt;&gt; Keyword . fetch! ( bindings , :name ) def t ( &quot;en&quot; , &quot;alert&quot; , bindings ) , do : &quot;Alert!&quot; def t ( _locale , _path , _bindings ) , do : { :error , :no_translation } def t! ( locale , path , bindings \\\\ [ ] ) do case t ( locale , path , bindings ) do { :ok , translation } -&gt; translation { :error , :no_translation } -&gt; raise % NoTranslationError { message : &quot; \#{ locale } : \#{ path } &quot; } end end end","ref":"Linguist.Compiler.html#interpol_rgx/0","title":"Linguist.Compiler.interpol_rgx/0","type":"function"},{"doc":"Defines lookup functions for given translation locales, binding interpolation. Locales are defined with the locale/2 function, accepting a locale name and a String path to evaluate for the translations list. For example, given the following translations: locale &quot;en&quot; , [ flash : [ notice : [ hello : &quot;hello %{first} %{last}&quot; , ] ] , users : [ title : &quot;Users&quot; , ] ] locale &quot;fr&quot; , Path . join ( [ __DIR__ , &quot;fr.exs&quot; ] ) This module will respond to these functions: t ( &quot;en&quot; , &quot;flash.notice.hello&quot; , bindings \\ [ ] ) , do : # ... t ( &quot;en&quot; , &quot;users.title&quot; , bindings \\ [ ] ) , do : # ... t ( &quot;fr&quot; , &quot;flash.notice.hello&quot; , bindings \\ [ ] ) , do : # ...","ref":"Linguist.MemorizedVocabulary.html","title":"Linguist.MemorizedVocabulary","type":"module"},{"doc":"Function used internally to load a yaml file. Please use the locale macro with a path to a yaml file - this function will not work as expected if called directly.","ref":"Linguist.MemorizedVocabulary.html#_load_yaml_file/1","title":"Linguist.MemorizedVocabulary._load_yaml_file/1","type":"function"},{"doc":"Recursive function used internally for loading yaml files. Not intended for external use","ref":"Linguist.MemorizedVocabulary.html#_yaml_reducer/2","title":"Linguist.MemorizedVocabulary._yaml_reducer/2","type":"function"},{"doc":"","ref":"Linguist.MemorizedVocabulary.html#add_locale/1","title":"Linguist.MemorizedVocabulary.add_locale/1","type":"function"},{"doc":"Embeds locales from provided source. name - The String name of the locale, ie &quot;en&quot;, &quot;fr&quot; source - The String file path to load YAML from that returns a structured list of translations Examples locale &quot;es&quot; , Path . join ( [ __DIR__ , &quot;es.yml&quot; ] )","ref":"Linguist.MemorizedVocabulary.html#locale/2","title":"Linguist.MemorizedVocabulary.locale/2","type":"function"},{"doc":"","ref":"Linguist.MemorizedVocabulary.html#locales/0","title":"Linguist.MemorizedVocabulary.locales/0","type":"function"},{"doc":"","ref":"Linguist.MemorizedVocabulary.html#normalize_locale/1","title":"Linguist.MemorizedVocabulary.normalize_locale/1","type":"function"},{"doc":"","ref":"Linguist.MemorizedVocabulary.html#t/3","title":"Linguist.MemorizedVocabulary.t/3","type":"function"},{"doc":"","ref":"Linguist.MemorizedVocabulary.html#t!/3","title":"Linguist.MemorizedVocabulary.t!/3","type":"function"},{"doc":"","ref":"Linguist.MemorizedVocabulary.html#update_translations/2","title":"Linguist.MemorizedVocabulary.update_translations/2","type":"function"},{"doc":"Defines lookup functions for given translation locales, binding interpolation. Locales are defined with the locale/2 macro, accepting a locale name and either keyword list of translations or String path to evaluate for translations list. For example, given the following translations: locale &quot;en&quot; , [ flash : [ notice : [ hello : &quot;hello %{first} %{last}&quot; , ] ] , users : [ title : &quot;Users&quot; , ] ] locale &quot;fr&quot; , Path . join ( [ __DIR__ , &quot;fr.exs&quot; ] ) This module will compile this down to these functions: def t ( &quot;en&quot; , &quot;flash.notice.hello&quot; , bindings \\ [ ] ) , do : # ... def t ( &quot;en&quot; , &quot;users.title&quot; , bindings \\ [ ] ) , do : # ... def t ( &quot;fr&quot; , &quot;flash.notice.hello&quot; , bindings \\ [ ] ) , do : # ...","ref":"Linguist.Vocabulary.html","title":"Linguist.Vocabulary","type":"module"},{"doc":"Compiles all the translations and inject the functions created in the current module.","ref":"Linguist.Vocabulary.html#__using__/1","title":"Linguist.Vocabulary.__using__/1","type":"macro"},{"doc":"Function used internally to load a yaml file. Please use the locale macro with a path to a yaml file - this function will not work as expected if called directly.","ref":"Linguist.Vocabulary.html#_load_yaml_file/1","title":"Linguist.Vocabulary._load_yaml_file/1","type":"function"},{"doc":"Recursive function used internally for loading yaml files. Not intended for external use","ref":"Linguist.Vocabulary.html#_yaml_reducer/2","title":"Linguist.Vocabulary._yaml_reducer/2","type":"function"},{"doc":"Embeds locales from provided source. name - The String name of the locale, ie &quot;en&quot;, &quot;fr&quot; source - The String file path to eval that returns a keyword list of translations The Keyword List of translations Examples locale &quot;en&quot; , [ flash : [ notice : [ hello : &quot;hello %{first} %{last}&quot; , ] ] ] locale &quot;fr&quot; , Path . join ( [ __DIR__ , &quot;fr.exs&quot; ] )","ref":"Linguist.Vocabulary.html#locale/2","title":"Linguist.Vocabulary.locale/2","type":"macro"},{"doc":"","ref":"Linguist.LocaleError.html","title":"Linguist.LocaleError","type":"exception"},{"doc":"","ref":"Linguist.MemorizedVocabulary.TranslationDecodeError.html","title":"Linguist.MemorizedVocabulary.TranslationDecodeError","type":"exception"},{"doc":"","ref":"Linguist.NoTranslationError.html","title":"Linguist.NoTranslationError","type":"exception"},{"doc":"Linguist is a simple Elixir Internationalization library","ref":"readme.html","title":"Linguist","type":"extras"},{"doc":"Add :linguist to your mix.exs dependencies: def deps do [ { :linguist , &quot;~&gt; 0.4&quot; } ] end Update your dependencies: $ mix deps.get","ref":"readme.html#installation","title":"Linguist - Installation","type":"extras"},{"doc":"defmodule I18n do use Linguist.Vocabulary locale &quot;en&quot; , [ flash : [ notice : [ hello : &quot;hello %{first} %{last}&quot; , bye : &quot;bye now, %{name}!&quot; ] ] , users : [ title : &quot;Users&quot; , profiles : [ title : &quot;Profiles&quot; , ] ] ] locale &quot;fr&quot; , Path . join ( [ __DIR__ , &quot;fr.exs&quot; ] ) end # fr.exs [ flash : [ notice : [ hello : &quot;salut %{first} %{last}&quot; ] ] ] iex&gt; I18n . t! ( &quot;en&quot; , &quot;flash.notice.hello&quot; , first : &quot;chris&quot; , last : &quot;mccord&quot; ) &quot;hello chris mccord&quot; iex&gt; I18n . t! ( &quot;fr&quot; , &quot;flash.notice.hello&quot; , first : &quot;chris&quot; , last : &quot;mccord&quot; ) &quot;salut chris mccord&quot; iex&gt; I18n . t! ( &quot;en&quot; , &quot;users.title&quot; ) &quot;Users&quot;","ref":"readme.html#usage","title":"Linguist - Usage","type":"extras"},{"doc":"The key to use for pluralization is configurable, and should likely be an atom: config :linguist , pluralization_key : :count will cause the system to pluralize based on the count parameter passed to the t function.","ref":"readme.html#configuration","title":"Linguist - Configuration","type":"extras"}]